#ifndef RoundedPath_h
#define RoundedPath_h

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

/*!
  \file    RoundedPath.h
  \brief   rounded QPainterPath based on polygon
  \author  Hugo Pereira
  \version $Revision$
  \date    $Date$
*/

#include <QPainterPath>
#include <QPolygonF>

//! rounded QPainterPath based on polygon
class RoundedPath: public QPainterPath
{

  public:

  //! constructor
  RoundedPath( QPolygonF, const int& border = 5 );

};

#endif
